Getting older Blender and Python to work on new PC

Scripting in Blender with Python, and working on the API

Moderators: jesterKing, stiv

Posts: 1
Joined: Mon Dec 17, 2012 3:51 pm

Getting older Blender and Python to work on new PC

Postby AngelicaDayz » Mon Dec 17, 2012 3:55 pm

Hello, sorry for the verbose question but I think an answer would need all these details. I used Blender 2.49 for a few years on my Mac with no problems and all good. I now have a new PC (Windows 7 Pro) and downloaded Blender to use, only to be very disappointed with the horrible Maya/Fisher Price lay out. No problem I will get an older version. I downloaded 2.49 and installed only to get “Compiled with Python version 2.6.2 import site failed..... some scripts may not run. Continuing happily”. I down loaded Python 2.6.2 and followed all instructions in the community forum post “ Getting Blender to find Python in Windows XP” . I still get the message even after re-installing Blender. I really am at my wits end with this as I have no interest in all the Path, Scripts stuff I just like making models and using them in Second Life. Please could somebody give me a step by step guide on how to get the older version to work with all scripts. I do not remember having any of these problems back in the day on my Mac? Thanks for your patience.

Posts: 3645
Joined: Tue Aug 05, 2003 7:58 am
Location: 45N 86W

Postby stiv » Mon Dec 17, 2012 4:32 pm

Sorry, no time for a long answer. The usual problem with blender not finding python is setting the environment variables wrong.

As long as python is installed in "the usual place", blender will find it. Try deleting any environment variables you set.

Return to “Python”

Who is online

Users browsing this forum: No registered users and 1 guest